<?php

namespace App\Models\StockManagement;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Sushi\Sushi;

class WareHouseType extends Model{
    use HasFactory,Sushi;

    const STORE = "STORE";
    const POINT_OF_SALE = "POINT_OF_SALE";
    protected $primaryKey = "id";
    protected $keyType= "string";
    public $incrementing= false;

    const FK_ID = "warehouse_type_code";

    protected $rows = [
        ["id" => self::STORE,  "name" => "Store" ,"code" => "M" ],
        ["id" => self::POINT_OF_SALE,"name" => "Point od Sales" ,"code" => "PV" ]
    ];

    public function getNameAttribute($value){
        return __($value);
    }

    public function getCodeAttribute($value){
        return __($value);
    }



}
